API ReferenceOrganisation Management
Get all organisations (Admin only)
Retrieve all organisations with optional statistics. Admin access required.
GET
/v1/organisation-management/allAuthorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
page?number
Page number for pagination
limit?number
Number of items per page
includeStats?boolean
Include organisation statistics
status?string
Filter by organisation status
Value in
- "ACTIVE"
- "SUSPENDED"
- "CLOSED"
name?string
Filter by organisation name (partial match)
industry?string
Filter by industry
type?string
Filter by organisation type
hasCustomAccessLevel?boolean
Filter by custom access level status
kycStatus?string
Filter by KYC status
Value in
- "PENDING"
- "SUBMITTED"
- "UNDER_REVIEW"
- "APPROVED"
- "REJECTED"
- "RESUBMISSION_REQUIRED"
startDate?string
Filter by creation date (start)
endDate?string
Filter by creation date (end)
Response Body
application/json
curl -X GET "https://example.com/v1/organisation-management/all"{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "organisations": [ { "id": "org_cjld2cjxh0000qzrmn831i7rn", "name": "Acme Corp", "email": "acme@example.com", "phone": "+1234567890", "logo": "https://example.com/logo.png", "industry": "Technology", "type": "Private Sector", "signupType": "STANDALONE", "organizationCategory": "PARTNER", "isPartner": false, "paymentStructure": "PREPAID", "settlementPeriod": "MONTHLY", "lastSettlementAt": null, "isSettlementOverdue": null, "serviceAccesses": [ { "id": "sva_cjld2cjxh0000qzrmn831i7rn", "serviceId": "svc_cjld2cjxh0000qzrmn831i7rn", "serviceName": "BVN Verification", "accessLevel": { "id": "al_cjld2cjxh0000qzrmn831i7rn", "name": "BVN Basic", "cost": 50, "category": "STANDARD", "isPrivate": false }, "isActive": true, "createdAt": "2023-01-01T00:00:00Z" } ], "endpointConcurrencies": [ { "id": "oec_cjld2cjxh0000qzrmn831i7rn", "endpointKey": "bvn-basic", "endpointName": "BVN Basic Lookup", "defaultMaxConcurrency": 5, "maxConcurrency": 10 } ], "createdAt": "2023-01-01T00:00:00Z", "updatedAt": "2023-01-01T00:00:00Z", "user": { "id": "usr_cjld2cjxh0000qzrmn831i7rn", "email": "user@example.com", "status": "ACTIVE", "createdAt": "2023-01-01T00:00:00Z", "updatedAt": "2023-01-01T00:00:00Z" }, "wallet": { "id": "wallet_123", "balance": 1000.5, "currency": "NGN", "status": "ACTIVE", "dailyLimit": 10000, "monthlyLimit": 100000, "minBalance": 100 }, "directors": [ { "id": "string", "organisationId": "string", "firstName": "string", "lastName": "string", "fullName": "string", "email": "string", "phone": "string", "nin": "string", "address": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "isActive": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "kyc": { "id": "kyc_cjld2cjxh0000qzrmn831i7rn", "status": "PENDING", "cacDocument": "document_url_1", "cacMemorandum": "document_url_2", "dataProtectionPolicy": "document_url_3", "ndpaCompliance": "document_url_4", "cacDocumentUploadedAt": "2023-01-01T00:00:00Z", "cacMemorandumUploadedAt": "2023-01-01T00:00:00Z", "dataProtectionPolicyUploadedAt": "2023-01-01T00:00:00Z", "ndpaComplianceUploadedAt": "2023-01-01T00:00:00Z", "reviewedBy": "reviewer@example.com", "reviewedAt": "2023-01-01T00:00:00Z", "rejectionReason": "Document is incomplete", "notes": "Additional notes", "submittedAt": "2023-01-01T00:00:00Z", "approvedAt": "2023-01-01T00:00:00Z", "createdAt": "2023-01-01T00:00:00Z", "updatedAt": "2023-01-01T00:00:00Z" }, "stats": { "totalVerifications": 5, "totalTransactions": 3, "totalTransactionValue": 1500, "totalDirectors": 2 } } ], "total": 50, "page": 1, "limit": 10 }}